%define name    glasnost
%define version 0.6.1
%define release 4mdk
%define PYTHON_VERSION 2.3


Summary:        Collaborative content management, e-vote and groupware
Name:           %name
Version:        %version
Release:        %release
License:        GPL
Group:          System/Servers
URL:            http://glasnost.entrouvert.org/
Source0:        %name-%version.tar.bz2
Source1:        %name.initscript
Patch0:		%name-patch.bz2
BuildArch:      noarch
BuildRoot:      %_tmppath/%name-buildroot
Requires: 	apache2-mod_python python-imaging python-tal 
Requires:	libxslt1 docbook-style-xsl gnupg 
PreReq: 	rpm-helper

%description
Glasnost is the voting system originally developed by French Free Software
company Easter-eggs for in-house decision making and now also used in other
places.
It evolved from a simple voting system to a complex content management system
with many features (collaborative redaction, groupware ...)

%prep
%setup -q
%patch

%build
make DESTDIR=$RPM_BUILD_ROOT PREFIX=%_prefix PYTHON_VERSION=%PYTHON_VERSION mo

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT PREFIX=%_prefix PYTHON_VERSION=%PYTHON_VERSION DONT_CREATE_LINK=true WEB_DIR=/var/www/html/%name install
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/cron.hourly
echo -e '#!/bin/sh\nMAIL=""\n%{_sbindir}/glasnost-appointment-notifier.py' > $RPM_BUILD_ROOT/%{_sysconfdir}/cron.hourly/glasnost-appointment-notifier
mkdir -p $RPM_BUILD_ROOT/%_initrddir
install -m755 %{SOURCE1} $RPM_BUILD_ROOT/%{_initrddir}/%{name}
%{find_lang} %{name}-web

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files -f %{name}-web.lang
%defattr(-,root,root)
%doc COPYING DEVDOC INSTALL
%config(noreplace) %{_sysconfdir}/%{name}/config
%dir %{_sysconfdir}/%{name}
# %lang %_datadir/locale/*
%attr(0744,root,root) %_sbindir/*
%_libdir/*
%{_localstatedir}/%{name}
/var/log/%{name} 
%config(noreplace) %attr(0744,root,root) %{_sysconfdir}/cron.hourly/glasnost-appointment-notifier
%config(noreplace) %attr(0744,root,root) %_initrddir/glasnost
%_datadir/%name
/var/www/html/%name

%changelog
* Thu Sep 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-4mdk
- rebuild

* Thu Aug 07 2003 Michael Scherer <scherer.michael@free.fr> 0.6.1-3mdk 
- rebuild for python 2.3
- some spec cleanup

* Tue Apr 15 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-2mdk
- from Sbastien Ducoulombier <seb.ducoulombier@free.fr> :
	- corrected a few things according to rpmlint output

* Fri Mar 03 2003 Sbastien Ducoulombier <seb.ducoulombier@free.fr> 0.6.1-1mdk
- initial package
